#include "colors.inc"
#include "shapes.inc"
#include "textures.inc"
#include "frogbody.inc"
#include "frogleg2.inc"
#include "frogleg1.inc"
#include "eyeball.inc"

/*camera { //un-comment to render and adjust frog
  location  <5 10 -20>
  direction <0 0 1.5>
  up        <0 1 0>
  right     <1.33 0 0>
  look_at   <0 0 2>
}*/

/*object { light_source { <2 1 -3> color White } } //uncomment to render and adjust frog*/


#declare Frog =
  composite {
    composite {
      Frog_Body
      scale <.65 .5 .5> 
    }
    composite {
      Frog_Leg1
      scale <.5 .5 .25>
      rotate <80 0 0>
      rotate <0 0 -25>
      rotate <0 30 0>
      translate <4 -2.5 -1.25>
    }
    composite {
      Frog_Leg1
      scale <.5 .5 .25>
      rotate <-80 0 0>
      rotate <0 0 -25>
      rotate <0 -30 0>
      translate <4 -2.5 1.25>
    }
    composite {
      Frog_Leg2
      scale <.5 .25 .35>
      translate <-1 -2.5 -.5>
      rotate <0 -30 0>
    }
    composite {
      Frog_Leg2
      scale <.5 .25 .35>
      translate <-1 -2.5 .5>
      rotate <0 30 0>
    }
    composite {
      Eyeball
      scale <.175 .175 .175>
      /*scale <.375 .375 .375> //larger eyeball if you prefer*/
      rotate <0 -85 0>
      rotate <10 0 0>
      /*translate <-2.5 2.2 -.75> //position for larger eyeball*/
      translate <-2.75 2 -.5>
    }
    composite {
      Eyeball
      scale <.175 .175 .175>
      /*scale <.375 .375 .375> //larger eyeball*/
      rotate <0 85 0>
      rotate <-10 0 0>
      /*translate <-2.5 2.2 .75> //position for larger eyeball*/
      translate <-2.75 2 .5>
    }
    //rotate <0 -90 0> //front view
    //rotate <-90 0 0> //top view
    //rotate <0 180 0> //other side
  }
